HELP2MAN(1)

NOM
help2man - Créer une page de manuel sommaire

SYNOPSIS
help2man [OPTION]... PROGRAMME

DESCRIPTION
« help2man » crée la page de manuel d'un programme à partir des indications fournies par celui-ci lorsqu'il est lancé avec les options « --help » et « --version ».

-n, --name=CHAÎNE
    description pour le paragraphe NOM

-s, --section=SECTION
    numéro de section de la page de manuel (1, 6, 8)

-m, --manual=TEXTE
    nom du manuel (Commandes, ...)

-S, --source=TEXTE
    source du programme (FSF, Debian, ...)

-L, --locale=CHAÎNE
    changer les paramètres régionaux (« C » par défaut)

-i, --include=FICHIER
    ajouter du texte depuis « FICHIER »

-I, --opt-include=FICHIER
    ajouter du texte depuis « FICHIER », si ce fichier existe

-o, --output=FICHIER
    envoyer le résultat dans « FICHIER »

-p, --info-page=TEXTE
    nom du manuel Texinfo

-N, --no-info
    supprimer le pointeur vers le manuel Texinfo

-l, --libtool
    exclure le « lt- » du nom de programme

--help
    afficher cette aide, puis quitter

--version
    afficher le numéro de version, puis quitter

PROGRAMME devrait accepter les options « --help » et « --version » et écrire sur la sortie standard mais des alternatives peuvent être précisées en utilisant :

-h, --help-option=CHAÎNE
    chaîne pour l'option équivalente à « --help »

-v, --version-option=CHAÎNE
    chaîne pour l'option équivalente à « --version »

--version-string=CHAÎNE
    chaîne de version

--no-discard-stderr
    inclure la sortie d'erreur standard lors de l'analyse de la sortie d'option

FICHIERS INCLUS
Un supplément de texte peut être ajouté aux indications fournies par le programme grâce aux options --include et --opt-include. Le format est simple :
    [section]
    texte
    /motif/
    texte Les blocs de texte (au format *roff) sont insérés tels quels dans la sortie, soit au début de la zone désignée par [section] (balise insensible à la casse), soit après un paragraphe correspondant au /motif/. Les motifs obéissent à la syntaxe des expressions rationnelles de Perl et peuvent être suivis des modificateurs i, s ou m (voir perlre(1)). Les lignes précédant la première section (ou le premier motif) et commençant par « - » sont traitées comme des options. Tout le reste est ignoré sans aucun avertissement, et peut être utilisé pour des commentaires, des mots clefs RCS ou d'autres éléments. L'ordre des sections produites est :
    NOM
    SYNOPSIS
    DESCRIPTION
    OPTIONS
    ENVIRONNEMENT
    FICHIERS
    EXEMPLES
    autres
    AUTEUR
    BOGUES
    COPYRIGHT
    VOIR AUSSI Toute section [NOM] ou [SYNOPSIS] apparaissant dans le fichier inclus va remplacer celle qui aurait été créée automatiquement (mais vous pouvez encore remplacer la première avec --name si nécessaire). Le texte supplémentaire aux autres sections usuelles (celles apparaissant dans cette liste) est inséré avant la sortie générée automatiquement pour elles. Les sections non usuelles sont insérées à la place marquée autres dans la liste ci-dessus, suivant l'ordre dans lequel ces sections apparaissent dans le fichier inclus. Le placement du texte au sein de la section peut être explicitement indiqué en utilisant la syntaxe [<section], [=section] ou [>section] pour placer le texte supplémentaire respectivement avant, à la place de ou après la sortie par défaut.

DISPONIBILITÉ
La dernière version de cette distribution est disponible en ligne sur :
    ftp://ftp.gnu.org/gnu/help2man/

AUTEUR
Écrit par Brendan O'Dea <bod@debian.org>

BOGUES
Signaler les bogues à <bug-help2man@gnu.org>.

COPYRIGHT
Copyright © 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005, 2009, 2010, 2011, 2012, 2013, 2014, 2015 Free Software Foundation, Inc.
Ce logiciel est libre ; voir les sources pour les conditions de reproduction. AUCUNE garantie n'est donnée, pas même la garantie implicite de COMMERCIALISATION ni l'ADÉQUATION À UN BESOIN PARTICULIER.

VOIR AUSSI
La documentation complète pour help2man est mise à jour dans un manuel Texinfo (en anglais). Si les programmes info et help2man sont correctement installés sur le système, la commande

    info help2man

devrait donner accès au manuel complet (en anglais).